Update a List of Page Localizations

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
PUT /profiles/{profile_id}/pages/{page_id}/localizations

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • fields string

    extra information of each page localization on the list

  • limit number

    maximum count of the page localization list

  • offset number

    skip that many page localization before beginning to return

application/json

Body

  • label string
  • language_code string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • language_code string Required

      the updated language code

PUT /profiles/{profile_id}/pages/{page_id}/localizations
curl \
 --request PUT 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/localizations' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"label":"inspección de la construcción","language_code":"es"}'
Request examples
{
  "label": "inspección de la construcción",
  "language_code": "es"
}
Response examples (200)
[
  {
    "language_code": "zh-hans"
  },
  {
    "language_code": "zh-hant"
  }
]